Ask Your Question
0

joint_trajectory_controllers for ROS Melodic on Arch Linux

asked 2020-05-14 06:57:31 -0500

ramdambo gravatar image

updated 2022-01-22 16:10:33 -0500

Evgeny gravatar image

Hi there,

After a new fresh install of ROS Melodic on our Arch machine, I noticed that upon installing deps for the new ur_robot_driver, the package joint_trajectory_controller is not available on arch, at least for Melodic. For Kinetic and Indigo, I could find packages in the AUR, but not for Melodic.

Does anyone know how to get this running on Arch ?

Because I would like to not have to switch to an Ubuntu VM just for ROS development.

Cheers

PS: Error message from rosdep install --from-paths src --ignore-src -y:

ERROR: the following packages/stacks could not have their rosdep keys
resolved to system dependencies:

ur_controllers: No definition of [joint_trajectory_controller] for OS [arch] 

ur_robot_driver: Cannot locate rosdep definition for [ur_msgs]
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2020-05-14 07:32:32 -0500

gvdhoorn gravatar image

updated 2020-05-14 07:33:09 -0500

Not being able to install a package using your package manager is one of the valid reasons for building them from source (#q320046: it mentions Ubuntu in the title, but the same reasoning aplies on other OS, see the points in the No release available section).

For a description of the general workflow when building packages from source, you could refer to #q252478.

If you really need to build much more from source (because rosdep tells you fi it cannot find the dependencies of the packages in ros_controllers in your package manager), then you would probably have to resort to rosinstall_generator. Before doing that though you may want to contact whoever is maintaining the Arch repositories, as ros_control is a pretty common dependency and I would expect it to be available.

edit flag offensive delete link more

Comments

Hi there, sorry for the delay. I tried to install ros_controllers from source but as you suspected, I had to install even more depencencies after that, so I resorted to rosinstall_generator.

Problem is that even here, I am missing dependencies, namely libgazebo9-dev, libboost-thread-dev and libboost-filesystem-dev even though boost and gazebo are installed.

I'll try to contact the maintainer/s. I suppose you mean the maintainer of ros-melodic-desktop-full right ?

ramdambo gravatar image ramdambo  ( 2020-05-27 06:26:55 -0500 )edit

I'll try to contact the maintainer/s. I suppose you mean the maintainer of ros-melodic-desktop-full right ?

No.

The people doing the Arch linux packaging.

gvdhoorn gravatar image gvdhoorn  ( 2020-05-27 07:01:01 -0500 )edit

Yeah that's what I meant, should have been clearer. But apparently an issue addressing the missing dependencies has already been opened.

ramdambo gravatar image ramdambo  ( 2020-05-27 07:11:26 -0500 )edit

Please link that issue here, so we can keep things connected.

gvdhoorn gravatar image gvdhoorn  ( 2020-05-27 07:14:53 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2020-05-14 06:57:31 -0500

Seen: 116 times

Last updated: May 14 '20